package com.eactive.eai.adapter.socket2.protocol.law;

import com.eactive.eai.adapter.socket2.config.SocketAdapterContext;
import com.eactive.eai.adapter.socket2.protocol.TcpAdapterServer;
import com.eactive.eai.adapter.socket2.protocol.law.codec.LawRecvCodecFactory;
import org.apache.mina.filter.codec.ProtocolCodecFilter;


public class LawServer extends TcpAdapterServer {
	public LawServer(SocketAdapterContext context) throws Exception {
		super(context);		
		this.handler = new LawHandler(this);
		
		config.getFilterChain().addFirst("codec", new ProtocolCodecFilter(new LawRecvCodecFactory(this)));
	}
}
